Page MenuHomePhabricator

Namespace Localization of Two Thai Wikimedia projects
Closed, ResolvedPublic

Description

Currently, there are two semi-active projects in Thai language that has not been set their localized namespace. I would like the following namespace for the following project to be set to the respective name provided below

  1. Thai Wiktionary (thwiktionary)

Wiktionary -> วิกิพจนานุกรม
คุยเรื่องWiktionary -> คุยเรื่องวิกิพจนานุกรม

  1. Thai Wikibooks (thwikibooks)

Wikibooks -> วิกิตำรา
คุยเรื่องWikibook -> คุยเรื่องวิกิตำรา

Thanks in advance


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz40717

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:56 AM
bzimport set Reference to bz40717.
Vg_thWIKI created this task.Oct 2 2012, 3:17 PM

Corrections: คุยเรื่องWikibooks -> คุยเรื่องวิกิตำรา

Hi,

If a project is semi active, could I suggest you you notify the namespace creation on the two projects' village pumps, so any active user would have an opportunity to review the proposal?

Meanwhile, I'll prepare the config change.

[ Taking this bug. +shellpolicy ]

Gerrit change 26449 (currently a draft, will publish it when consensus is got, which seems in good progress per comment 3)

Most of the active users in both of the projects has voted support

  1. http://th.wiktionary.org/w/index.php?oldid=125851 (5 support, 0 oppose)
  2. http://th.wikibooks.org/w/index.php?oldid=17786 (6 support, 0 oppose)

It is to be assumed that consensus is reached

It should be noted that, when I run the conflict check, most of the page in Thai Wiktionary which goes by the วิกิพจนานุกรม: (proposed namespace) are automatically redirect to its respective name in Witionary: (old namespace), save for 7 pages which has the prefix of วิกิพจนานุกรม: (classified as article space but was a project page)

The same circumstances applied with วิกิตำรา: and Wikibooks:, with 14 pages in so-called prefix of วิกิตำรา: (classified as article space, but was a project page)

I am asking for the instructions whether I have to rename 7 (14) pages prefixed with the proposed namespace or not? Or do the system will move the page with prefixed proposed namespace to be in the proposed project space?

If there is any further instructions, please do let me know and I can bring it to consensus/appropriate action. Thanks

Thank you for the local consensus process.

A script will be run on your wiki to handle the transition (ie rename "A:B in namespace (main)" pages into "B in namespace A"). Please wait the script run. Then, you will be able to clean up any redirections.

Gerrit change 26449 published.

[ Adding a dependency to tracking 29782. -shellpolicy +shell ]

hashar added a comment.Nov 5 2012, 8:29 AM

I have deployed the change on the cluster and ran the namespace fixing script:

mwscript namespaceDupes.php --wiki=thwikibooks --fix
mwscript namespaceDupes.php --wiki=thwiktionary --fix

Since some pages have already been created using the same name AND in the main namespace, I had to rename a bunch of them. The pages will need to be manually fixed, results attached below.

hashar added a comment.Nov 5 2012, 8:32 AM

Created attachment 11302
run of: mwscript namespaceDupes.php --wiki=thwikibooks --fix --suffix=BROKEN

Attached:

hashar added a comment.Nov 5 2012, 8:32 AM

Created attachment 11303
run of: mwscript namespaceDupes.php --wiki=thwiktionary --fix --suffix=BROKEN

Attached:

hashar added a comment.Nov 5 2012, 8:35 AM

In each of the above files, you will find pages which has been renamed using BROKEN at the end. They need to be looked at and eventually replace the other page which does not have BROKEN at the end.

I will pass this to the admin responsible in administrative purposes, as I myself do not have one. I will keep this posted. Thanks.

(In reply to comment #6)

Gerrit change #26449 published.

Status Merged